Skip to main content
POST
/
v1
/
voiceai
/
knowledge-base
/
bulk-move
Bulk Move Entities To Folder
curl --request POST \
  --url https://api.example.com/v1/voiceai/knowledge-base/bulk-move \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "document_ids": [
    "<string>"
  ]
}
'
[
  {
    "id": "<string>",
    "name": "<string>",
    "metadata": {
      "created_at_unix_secs": 123,
      "last_updated_at_unix_secs": 123,
      "size_bytes": 123
    },
    "access_info": {
      "is_creator": true,
      "creator_name": "<string>",
      "creator_email": "<string>",
      "role": "admin"
    },
    "url": "<string>",
    "extracted_inner_html": "<string>",
    "supported_usages": [
      "prompt"
    ],
    "folder_parent_id": "<string>",
    "folder_path": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "type": "url"
  }
]

Authorizations

x-api-key
string
header
required

API key for programmatic access

Body

application/json

Request body for POST /knowledge-base/bulk-move endpoint. Moves multiple entities from one folder to another.

document_ids
string[]
required

The ids of documents or folders from the knowledge base.

Required array length: 1 - 20 elements
move_to
string | null

The folder to move the entities to. If not set, the entities will be moved to the root folder.

Response

Successful Response

Knowledge base document response for URL type

id
string
required

Document ID

name
string
required

Document name

metadata
KnowledgeBaseDocumentMetadataResponseModel · object
required

Document metadata

access_info
ResourceAccessInfo · object
required

Access information for the requesting user

url
string
required

The source URL

extracted_inner_html
string
required

The extracted content from the URL

supported_usages
enum<string>[]

Supported usage modes for this document

How the document is used in agent context.

  • prompt: Always include full document in LLM context
  • auto: Use RAG to retrieve relevant chunks
Available options:
prompt,
auto
folder_parent_id
string | null

The ID of the parent folder, or null if the document is at the root level.

folder_path
KnowledgeBaseFolderPathSegmentResponseModel · object[]

The folder path segments leading to this entity, from root to parent folder.

type
string
default:url

Document type discriminator

Allowed value: "url"